#!/usr/bin/python3

from .utils import *


class DBUSIntrospectable(DBusInterface):
    def __init__(self, server, interface: str):
        self.server = server
        self.interface = interface

        file = open(server.app.utils.wobuzz_location + "/mpris/introspection.xml")
        self.introspection_xml = file.read()
        file.close()

    def get_all(self):
        body = ({},)
        return body

    # ======== Methods ========

    def Introspect(self, msg):
        return new_method_return(msg, "s", (self.introspection_xml,))
